Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Users

Update User
PATCH /users/{userId}
https://api.relesysapp.net/api/v1.1/users/{userId}
Update a user based on the ID provided. Accepts a JsonPatch request in the body.

When patching the customFields array, the externalId (see the documentation for 'Get User Custom Fields') is used as the key reference.
Scopes: relesys.api, relesys.api:write, relesys.api.users, relesys.api.users:write
URL Path
userId string / guid The user's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"My patched name","path":"/name","op":"add"},{"value":{"countryCode":45,"number":"11223344"},"path":"/phoneNumber","op":"replace"},{"path":"/title","op":"remove"},{"value":{"customfieldone":"Custom field 1","customfieldtwo":"Custom field 2"},"path":"/customFields","op":"add"},{"value":"Female","path":"/gender","op":"replace"},{"value":"NUA","path":"/initials","op":"add"},{"value":"R-12345","path":"/registerNumber","op":"add"},{"value":"D-67890","path":"/dutyPlanNumber","op":"add"},{"value":"d45ff25b-88a0-4aec-b210-a24e2166d7af","path":"/imageId","op":"replace"},{"value":"cfcf8e13-fb3c-43ea-bdf1-af389fffc4d3","path":"/memberCardId","op":"replace"},{"value":"1234567890","path":"/cardNumber","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"666e6837-847b-4253-ad67-b4e58a7e92aa","url":null,"departmentUrl":null,"status":"Activated","creationDateTime":"2026-05-15T15:17:20.8181308Z","lastModifiedDateTime":"2026-05-15T15:17:20.8181308Z","image":{"id":"01383698-255d-45a6-8d82-c38e58dd0e1f","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},"memberCard":{"name":"Member Card Name","cardNumber":"1234567890","id":"48dd4c72-9324-4054-943e-b72724856945","url":null},"externalId":"NUA","name":"New User A","initials":"NUA","userName":"UserNameA","title":"User Title A","dataSource":"RelesysAPI","email":"personalmaila@testmail.com","secondaryEmail":"businessmaila@testmail.com","phoneNumber":{"countryCode":45,"number":"12345678"},"secondaryPhoneNumber":{"countryCode":45,"number":"12345679"},"birthDate":"2002-12-30T00:00:00Z","gender":"Male","primaryDepartmentId":"c4e775d6-be16-4e72-baf4-a23d3cb5bbd9","additionalDepartments":[{"id":"dae4b1a9-63ad-40b2-b49f-8fd65f00453f","dataSource":"RelesysAPI"}],"userGroups":[{"id":"78dd95ce-9951-45a5-9449-9a675e717989","dataSource":"RelesysAPI"},{"id":"2eceb166-770b-47f0-8a8b-22fae35202ba","dataSource":"RelesysAPI"}],"employmentDate":"2018-12-30T13:30:00Z","employmentEndDate":"2021-12-30T13:30:00Z","customFields":{"customfieldone":"Custom field 1"},"employmentType":"Full-time manager","registerNumber":"RN12345","dutyPlanNumber":"DP12345"}}
object
  data object      
   additionalDepartments array[object]      
    dataSource string      
    id string / guid      
   birthDate datetime      
   customFields dictionary`2      
   dataSource string      
   departmentUrl string      
   dutyPlanNumber string      
   email string      
   employmentDate datetime      
   employmentEndDate datetime      
   employmentType string      
   externalId string      
   gender string      
   id string / guid      
   image object      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   initials string      
   memberCard object      
    cardNumber string      
    id string / guid      
    name string      
    url string      
   name string      
   phoneNumber object      
    countryCode integer      
    number string      
   primaryDepartmentId string / guid      
   registerNumber string      
   secondaryEmail string      
   secondaryPhoneNumber object      
    countryCode integer      
    number string      
   status string      
   title string      
   url string      
   userGroups array[object]      
    dataSource string      
    id string / guid      
   userName string